From a54a1320c3f51b48a2226e0e9094fb89a103fccd Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Wed, 2 Dec 2015 19:40:23 +0100
Subject: [PATCH 33/55] kernel/drm: Disable nouveau's subdev/i2c for now. :(

---
 sys/conf/files               | 28 ++++++++++++++--------------
 sys/dev/drm/nouveau/Makefile | 28 ++++++++++++++--------------
 2 files changed, 28 insertions(+), 28 deletions(-)

diff --git a/sys/conf/files b/sys/conf/files
index b34307a0c7..8531dd7536 100644
--- a/sys/conf/files
+++ b/sys/conf/files
@@ -2435,20 +2435,20 @@ dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nv50.c		optional nouveau dr
 dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nv92.c		optional nouveau drm
 dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nvd0.c		optional nouveau drm
 dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nve0.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_anx9805.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_aux.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_base.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_bit.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_gf117.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv04.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv4e.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv50.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv94.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nvd0.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nve0.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_pad.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_padnv04.c		optional nouveau drm
-dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_padnv94.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_anx9805.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_aux.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_base.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_bit.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_gf117.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv04.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv4e.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv50.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv94.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nvd0.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nve0.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_pad.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_padnv04.c		optional nouveau drm
+#dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_padnv94.c		optional nouveau drm
 dev/drm/nouveau/core/subdev/ibus/nouveau_subdev_ibus_gk20a.c		optional nouveau drm
 dev/drm/nouveau/core/subdev/ibus/nouveau_subdev_ibus_nvc0.c		optional nouveau drm
 dev/drm/nouveau/core/subdev/ibus/nouveau_subdev_ibus_nve0.c		optional nouveau drm
diff --git a/sys/dev/drm/nouveau/Makefile b/sys/dev/drm/nouveau/Makefile
index 5510ce3726..8d8eba3537 100644
--- a/sys/dev/drm/nouveau/Makefile
+++ b/sys/dev/drm/nouveau/Makefile
@@ -355,20 +355,20 @@ SRCS+=	\
 
 .PATH:	${.CURDIR}/core/subdev/i2c
 SRCS+=	\
-	nouveau_subdev_i2c_anx9805.c \
-	nouveau_subdev_i2c_aux.c \
-	nouveau_subdev_i2c_base.c \
-	nouveau_subdev_i2c_bit.c \
-	nouveau_subdev_i2c_gf117.c \
-	nouveau_subdev_i2c_nv04.c \
-	nouveau_subdev_i2c_nv4e.c \
-	nouveau_subdev_i2c_nv50.c \
-	nouveau_subdev_i2c_nv94.c \
-	nouveau_subdev_i2c_nvd0.c \
-	nouveau_subdev_i2c_nve0.c \
-	nouveau_subdev_i2c_pad.c \
-	nouveau_subdev_i2c_padnv04.c \
-	nouveau_subdev_i2c_padnv94.c
+#	nouveau_subdev_i2c_anx9805.c \
+#	nouveau_subdev_i2c_aux.c \
+#	nouveau_subdev_i2c_base.c \
+#	nouveau_subdev_i2c_bit.c \
+#	nouveau_subdev_i2c_gf117.c \
+#	nouveau_subdev_i2c_nv04.c \
+#	nouveau_subdev_i2c_nv4e.c \
+#	nouveau_subdev_i2c_nv50.c \
+#	nouveau_subdev_i2c_nv94.c \
+#	nouveau_subdev_i2c_nvd0.c \
+#	nouveau_subdev_i2c_nve0.c \
+#	nouveau_subdev_i2c_pad.c \
+#	nouveau_subdev_i2c_padnv04.c \
+#	nouveau_subdev_i2c_padnv94.c
 
 .PATH:	${.CURDIR}/core/subdev/ibus
 SRCS+=	\
-- 
2.23.0

